.nhd.uc.ps 58,80.lm 8.rm 72
#
.s 26
.c ;MVG STRING UTILITY ROUTINES
.s 2
.c ;by
.s
.c ;Design aids data services
.s 4
This document describes the mvg string utilitiy routines found in MVGALL.OLB
.s 2
.c ;Version as of 31-Jan-85
.pg
.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########aggreg##Multiple String Concatenation
.pg
.hl 1 ^&Multiple String Concatenation\&
.s 2
.c ;**********
.c ;* aggreg *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	aggreg -- Multiple String Concatenation
.s.f
.i -8;SYNOPSIS:
.s
int
aggreg(destr, numstr, s1, s2, s3, ... sn)
.nf
 char *destr;		/* destination string */
 unsigned numstr;	/* number of concatenations */
 char *s1,*s2...;	/* strings to be concatenated */
.s
.fill
.i -8;DESCRIPTION:
.s
aggreg() concatenates numstr strings to the end of destr.
Returns a pointer to where we started concatenating.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########allstr##Allocate a Copy of a String
.pg
.hl 1 ^&Allocate a Copy of a String\&
.s 2
.c ;**********
.c ;* allstr *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	allstr -- Allocate a Copy of a String
.s.f
.i -8;SYNOPSIS:
.s
char *
allstr(s)
.nf
 char *s;	/* string to be duplicated */
.s
.fill
.i -8;DESCRIPTION:
.s
allstr() Allocates memory for a copy of the string s, and returns
a pointer to the new string.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########fieldp##Format Data Into Buffer
.pg
.hl 1 ^&Format Data Into Buffer\&
.s 2
.c ;**********
.c ;* fieldp *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	fieldp -- Format Data Into Buffer
.s.f
.i -8;SYNOPSIS:
.s
char *
fieldpt(destr, typ, wid, jst, fltfmt, left, right, sour)
.nf
 char *destr;           /* append output to here */
 char typ;              /* the data type */
 int wid;		/* field width */
 char jst;		/* justification */
 char *fltfmt;		/* floating point format */
 char *left;		/* left string */
 char *right;		/* right string */
 type *sour;		/* pointer to the data to be formatted */
.s
.fill
.i -8;DESCRIPTION:
.s
fieldpt() formats data to the users specifications :
.nf
 a) field size : wid is the total width of the field
 b) type is the data type { I F $ }
 c) just is the justification { L C R }
 d) fltfmt is the format for a float number (pointer to a null if
.fill
not being used. format : Ftot.dec
.nf
 e) left is a string to be appended to the left of the data
 f) right is a string to be appended to the right of the data
 g) sour is where the data is to come from (pointer)
.s
.fill
Returns a pointer to the end of destr.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########getalp##Get Current Alpha Field
.pg
.hl 1 ^&Get Current Alpha Field\&
.s 2
.c ;**********
.c ;* getalp *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	getalp -- Get Current Alpha Field
.s.f
.i -8;SYNOPSIS:
.s
int
getalpha(start,buff)
.nf
 char **start;	/* pointer to source buffer pointer */
 char *buff;	/* pointer to destination buffer */
.s
.fill
.i -8;DESCRIPTION:
.s
getalpha() copies data from start to buff, until a non-alpha
character is encounted.
Nothing is returned.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########getgro##Get a Group of Characters
.pg
.hl 1 ^&Get a Group of Characters\&
.s 2
.c ;**********
.c ;* getgro *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	getgro -- Get a Group of Characters
.s.f
.i -8;SYNOPSIS:
.s
int
getgroup(ccp, dest, openchar, closechar)
.nf
 char **ccp;		/* pointer to buffer pointer */
 char *dest;		/* pointer to destination buffer */
 char openchar;		/* start character */
 char closechar;	/* end character */
.s
.fill
.i -8;DESCRIPTION:
.s
Get a group of characters from a string. Its extent is determined
by the openchar, and closechar characters.  If ccp contains nothing
then NULL is returned.  If the brackets don't exist in ccp, then
the string passed is copied into the destination buffer.
Nothing is returned.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########getlit##Get Literal From Buffer
.pg
.hl 1 ^&Get Literal From Buffer\&
.s 2
.c ;**********
.c ;* getlit *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	getlit -- Get Literal From Buffer
.s.f
.i -8;SYNOPSIS:
.s
int
getliteral(ccp,dest)
.nf
 char **ccp;	/* pointer to buffer pointer */
 char *dest;	/* pointer to destination buffer */
.s
.fill
.i -8;DESCRIPTION:
.s
Function to copy a data element from a buffer  to a given
destination, starting with the character currently pointed to.
.s
The function copies all of the data, including any quotemarks,
starting from the current character, up to the next whitespace
or NUL. The pointer is left pointing to the first whitespace
character or NUL.
Nothing is returned.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########getnex##Get Next Data Item After White Space
.pg
.hl 1 ^&Get Next Data Item After White Space\&
.s 2
.c ;**********
.c ;* getnex *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	getnex -- Get Next Data Item After White Space
.s.f
.i -8;SYNOPSIS:
.s
int
getnext(ccp,dest)
.nf
 char **ccp;
 char *dest;
.s
.fill
.i -8;DESCRIPTION:
.s
getnext() is a composite function call made from within leading
whitespace to find the next data item and transfer it to the
required buffer, dest.
A pointer to where the data was taken from, is returned.
.nf
 Eg: ccp -> * -> <     there>
 After:
     ccp -> * -> <there>
     dest -> <there>
.s
.fill
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########getnum##Get a Number From Screen
.pg
.hl 1 ^&Get a Number From Screen\&
.s 2
.c ;**********
.c ;* getnum *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	getnum -- Get a Number From Screen
.s.f
.i -8;SYNOPSIS:
.s
int
getnum(row,col,mess)
.nf
 int row;	/* row to put message */
 int col;	/* column to put message */
 char *mess;	/* message to be displayed */
.s
.fill
.i -8;DESCRIPTION:
.s
getnum() positions the cursor a the specified position, displays
a message, and accepts input. Input must be numeric, and editing
is available. See edtbuf() for details on editing.
The input is returned, or 0 for ESCAPE.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########getqli##Get Qouted Literal
.pg
.hl 1 ^&Get Qouted Literal\&
.s 2
.c ;**********
.c ;* getqli *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	getqli -- Get Qouted Literal
.s.f
.i -8;SYNOPSIS:
.s
int
getqlit(ccp, dest)
.nf
 char **ccp;	/* pointer to buffer pointer */
 char *dest;	/* pointer to destination buffer */
.s
.fill
.i -8;DESCRIPTION:
.s
Getqlit relies on the data being in the following format:
.nf
	<Quoted-string><String><Quoted-string>......
.fill
where there are no white chars in the unquoted string.
The data is teminated by: 1) ENDSTRING
.nf
			  2) Any white character.
.fill
Destination buffer will contain the quoted literals, (including
quotes).
.nf
 eg. "lit1""lit2""lit3"0_\.
.s
.fill
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########getqte##Get Quoted Text
.pg
.hl 1 ^&Get Quoted Text\&
.s 2
.c ;**********
.c ;* getqte *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	getqte -- Get Quoted Text
.s.f
.i -8;SYNOPSIS:
.s
int
getqtext(ccp,dest)
.nf
 char **ccp;	/* buffer pointer pointer	*/
 char *dest;	/* destination buffer		*/
.s
.fill
.i -8;DESCRIPTION:
.s
getqtext() copys a data element from a buffer  to a given
destination, starting with the character currently pointed to.
.s
If the data element is not a quoted string, the function is
analogous to strcopy() but using whitespace as its terminator.
The pointer is left pointing to the first whitespace character.
.s
If first character indicates that the data element is a quoted
string, the function accepts the whole string but discards the
quotes, leaving the pointer immediately after the closing quotes.
.s
Its main use is to accept a complete field, but it may also be
used to extract quoted text embedded in another string (for
example, when decoding a "format string".
.s
This function modifies the pointer to the source string (*ccp).
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########glide###Skip Whitespace In Buffer
.pg
.hl 1 ^&Skip Whitespace In Buffer\&
.s 2
.c ;*********
.c ;* glide *
.c ;*********
.s 2
.lm +8
.s.i -8;NAME:	glide -- Skip Whitespace In Buffer
.s.f
.i -8;SYNOPSIS:
.s
int
glide(ccp)
.nf
 char **ccp;	/* pointer to buffer pointer */
.s
.fill
.i -8;DESCRIPTION:
.s
.s
Function to skip over whitespace in a buffer, leaving the
pointer set to the first nonwhite character.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########isblan##Test For a Blank Character
.pg
.hl 1 ^&Test For a Blank Character\&
.s 2
.c ;**********
.c ;* isblan *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	isblan -- Test For a Blank Character
.s.f
.i -8;SYNOPSIS:
.s
int
isblank(c)
.nf
 char c;		/* character to be tested */
.s
.fill
.i -8;DESCRIPTION:
.s
isblank returns TRUE if chacacter is a space of tab,
and FALSE if the character is otherwise.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########issame##String Equality Test
.pg
.hl 1 ^&String Equality Test\&
.s 2
.c ;**********
.c ;* issame *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	issame -- String Equality Test
.s.f
.i -8;SYNOPSIS:
.s
BOOL
issame(s1,s2)
.nf
 char *s1;	/* first string to compare	*/
 char *s2;	/* second string to compate	*/
.s
.fill
.i -8;DESCRIPTION:
.s
issame() returns TRUE if both strings are equal.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########iswhit##Test For Whitespace
.pg
.hl 1 ^&Test For Whitespace\&
.s 2
.c ;**********
.c ;* iswhit *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	iswhit -- Test For Whitespace
.s.f
.i -8;SYNOPSIS:
.s
int
iswhite(c)
char c;		/* character to be tested */
.s
.i -8;DESCRIPTION:
.s
iswhite() returns TRUE if the character is a whitespace, and
FALSE otherwise.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########pos16###Get First Occurance in Words
.pg
.hl 1 ^&Get First Occurance in Words\&
.s 2
.c ;*********
.c ;* pos16 *
.c ;*********
.s 2
.lm +8
.s.i -8;NAME:	pos16 -- Get First Occurance in Words
.s.f
.i -8;SYNOPSIS:
.s
int
pos16(c,s)
.nf
 char c;		/* character to be looked for */
 char *s;	/* pointer to the buffer to look in */
.s
.fill
.i -8;DESCRIPTION:
Using 16-bit characters (in ints) find the position of character c in
string s return -1 if it isn't there return the index of 1st occurence
if it is there.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########scrape##Skip Nonwhite in Buffer
.pg
.hl 1 ^&Skip Nonwhite in Buffer\&
.s 2
.c ;**********
.c ;* scrape *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	scrape -- Skip Nonwhite in Buffer
.s.f
.i -8;SYNOPSIS:
.s
int
scrape(cpp)
.nf
 char *cpp;	/* pointer to buffer pointer */
.s
.fill
.i -8;DESCRIPTION:
.s
Function to skip over nonwhite characters, leaving the
pointer set to the first whitespace character or ENDSTRING or
NEWLINE.
Returns Nothing.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########skip####Move Past Next Whitespace
.pg
.hl 1 ^&Move Past Next Whitespace\&
.s 2
.c ;********
.c ;* skip *
.c ;********
.s 2
.lm +8
.s.i -8;NAME:	skip -- Move Past Next Whitespace
.s.f
.i -8;SYNOPSIS:
.s
int
skip(ccp)
.nf
 char **ccp;	/* pointer to buffer pointer */
.s
.fill
.i -8;DESCRIPTION:
.s
Function to move past NEXT whitespace encountered (if any)
and update the current buffer pointer to the position of next
nonwhite character. We may be either in the previous data
or in the whitespace but there must be at least one whitespace
character - which may be the character currently pointed to -
before the next data.
Return ERROR if a _\0 or _\n is encountered instead, as the
field expected may be an optional field. Return NOERROR
otherwise.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########skipne##Transfer Next Data Item To Buffer
.pg
.hl 1 ^&Transfer Next Data Item To Buffer\&
.s 2
.c ;**********
.c ;* skipne *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	skipne -- Transfer Next Data Item To Buffer
.s.f
.i -8;SYNOPSIS:
.s
int
skipnext(ccp, dest)
.nf
 char **ccp;	/* pointer to buffer pointer */
 char *dest;	/* pointer to destination buffer */
.s
.fill
.i -8;DESCRIPTION:
.s
Skipnext() is a composite function call which may be invoked
either from within a data item or in whitespace to find
and get the next data item and transfer it to the required
buffer.
Returns a pointer to where the data was picked up from.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########skpalf##Skip Over Alpha
.pg
.hl 1 ^&Skip Over Alpha\&
.s 2
.c ;**********
.c ;* skpalf *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	skpalf -- Skip Over Alpha
.s.f
.i -8;SYNOPSIS:
.s
char *
skpalf(ccp)
.nf
 char **ccp;	/* pointer to buffer pointer */
.s
.fill
.i -8;DESCRIPTION:
.s
skpalf() skips over any leading alpha's or whitespaces.
The pointer *ccp is left pointing to the first numeric.
If no numeric exists, skipalf points *ccp at the terminating
Null, and returns 0. Skipalf returns *ccp;
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########squeez##Remove White From String
.pg
.hl 1 ^&Remove White From String\&
.s 2
.c ;**********
.c ;* squeez *
.c ;**********
.s 2
.lm +8
.s.i -8;NAME:	squeez -- Remove White From String
.s.f
.i -8;SYNOPSIS:
.s
char *
squeeze(string)
.nf
 char *string;	/* pointer to string to be squeezed */
.s
.fill
.i -8;DESCRIPTION:
.s
squeeze() removes all white spaces from a null-terminated string.
Returns a pointer to the string.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########udn#####Skip Over Digits
.pg
.hl 1 ^&Skip Over Digits\&
.s 2
.c ;*******
.c ;* udn *
.c ;*******
.s 2
.lm +8
.s.i -8;NAME:	udn -- Skip Over Digits
.s.f
.i -8;SYNOPSIS:
.s
int
udn(ccp)
.nf
 char **ccp;	/* pointer to buffer pointer */
.s
.fill
.i -8;DESCRIPTION:
.s
Function to skip over digits in a buffer, leaving the
pointer set to the first non-digit character.
Returns Nothing.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########upstr###Convert String to Upper Case
.pg
.hl 1 ^&Convert String to Upper Case\&
.s 2
.c ;*********
.c ;* upstr *
.c ;*********
.s 2
.lm +8
.s.i -8;NAME:	upstr -- Convert String to Upper Case
.s.f
.i -8;SYNOPSIS:
.s
char *
upstr(source)
.nf
 char *source;	/* pointer to string to be converted */
.s
.fill
.i -8;DESCRIPTION:
.s
upstr() converts a null-terminated string to upper case,
and returns a pointer to the string.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########walk####Walk over next whitespace
.pg
.hl 1 ^&Walk over next whitespace\&
.s 2
.c ;********
.c ;* walk *
.c ;********
.s 2
.lm +8
.s.i -8;NAME:	walk -- Walk over next whitespace
.s.f
.i -8;SYNOPSIS:
.s
int
walk(cpp)
.nf
 char **cpp;	/* string pointer pointer */
.s
.fill
.i -8;DESCRIPTION:
.s
Function to move past next whitespace encountered (if any)
and return position of next nonwhite character. The current
position is in the whitespace, with at least one whitespace
character - which may be the character currently pointed
to - before the next data.
.s
Return ERROR if a _\0 or _\n is encountered instead, as the
field expected may be an optional field. Return NOERROR
otherwise.
.s
.i -8;BUGS:
.s
.i -8;AUTHOR:
.s
Design aids data services
.s
.lm 8.rm 72.nhy

.ps 58,80.lm 8.rm 72
.ax MVGSTR INDEX
.t  ########MVG String routines
.st ########String index
.lm 8.rm 72
.f
The following is a keyword in context index to the MVG string routines
The entry in the left-hand column is the title of the routine in
the mvgstr documentation
.s 2
.nf
getnex           Get next data item after white space           
allstr                              allocate a Copy of a string 
getalp                  get current Alpha field                 
skpalf                    Skip over alpha                       
isblan                   Test for a blank character             
fieldp             Format Data Into Buffer                      
scrape             Skip nonwhite in buffer                      
getlit             get Literal from buffer                      
glide            skip Whitespace in buffer                      
skipne            next Data item to buffer              transfer
upstr       convert String to upper case                        
isblan             Test for a blank character                   
getgro               get a Group of characters                  
aggreg              multiple String concatenation               
upstr     case                      convert String to upper     
allstr                   allocate a Copy of a string            
getalp                          get current Alpha field         
fieldp                       Format Data Into Buffer            
skipne                transfer next Data item to buffer         
getnex                     Get next data item after white space 
udn                       Skip over digits                      
issame                       String equality test               
getalp            get current Alpha field                       
pos16                           get first Occurance in words    
fieldp                              Format Data Into Buffer     
getnum                              Get a number from screen    
getnex    white space               Get next data item after    
getqte                              Get quoted text             
getlit                              get Literal from buffer     
getqli                              get Quoted literal          
getgro                              get a Group of characters   
getalp                              get current Alpha field     
pos16     words                     get first Occurance in      
getgro                        get a Group of characters         
fieldp                  Format Data Into Buffer                 
getnex                Get next data item after white space      
skipne           transfer next Data item to buffer              
getlit                          get Literal from buffer         
getqli                   get Quoted literal                     
skip                                move past next Whitespace   
aggreg    concatenation             multiple String             
skipne                     transfer next Data item to buffer    
skip                      move past next Whitespace             
walk                      walk over next Whitespace             
getnex    space                 Get next data item after white  
scrape                         Skip nonwhite in buffer          
getnum                        Get a number from screen          
pos16                     get first Occurance in words          
skpalf                         Skip over alpha                  
udn                            Skip over digits                 
walk                           walk over next Whitespace        
skip                           move past next Whitespace        
getqli                          get Quoted literal              
getqte                          Get quoted text                 
squeez                              remove white from String    
getnum            Get a number from screen                      
scrape                              Skip nonwhite in buffer     
skpalf                              Skip over alpha             
udn                                 Skip over digits            
glide                               skip Whitespace in buffer   
getnex        data item after white space               Get next
squeez            remove white from String                      
aggreg                     multiple String concatenation        
issame                              String equality test        
upstr                       convert String to upper case        
allstr         allocate a Copy of a string                      
isblan                              Test for a blank character  
iswhit                              Test for whitespace         
issame              String equality test                        
getqte                   Get quoted text                        
skipne    buffer                    transfer next Data item to  
upstr             convert String to upper case                  
walk                                walk over next Whitespace   
squeez                       remove white from String           
getnex     Get next data item after white space                 
skip                 move past next Whitespace                  
walk                 walk over next Whitespace                  
glide                          skip Whitespace in buffer        
iswhit                     Test for whitespace                  
pos16        get first Occurance in words                       
